How to downgrade your Flutter version?

The easiest and most direct way to downgrade your Flutter version is:

  1. Open the terminal.
  2. Run the flutter downgrade command.
  3. Enter ‘y’ to confirm downgrade.
flutter downgrade in terminal

This should downgrade your Flutter version to version 3.0.1

If there is a specific version you wish to downgrade to, you can run:

flutter downgrade <version>

How to downgrade to versions less than Flutter 3?

Running a command like flutter downgrade <version> might not work. For example:

flutter downgrade error — There is no previously recorded version for channel

To fix this:

  1. Navigate to your installation of Flutter.

Flutter on my device was installed under documents in a folder called development.

2. Run the git checkout <version> command.

Find the different version numbers here:

3. Finally, run flutter --version.

This will download the specified version of Flutter.

--

--

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store